Subject: [Gen-art] GEN-ART Review ofdraft-ietf-radext-delegated-prefix-05.txt

From: "Spencer Dawkins" <[email-masked]>
Date: Fri, 8 Dec 2006 07:08:33 -0600

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-radext-delegated-prefix-05.txt
Reviewer: Spencer Dawkins
Review Date: 8 December 2006
IESG Telechat date: 14 December 2006

Summary: This document is ready for publication as a Proposed Standard.

Comments: All of my Last Call comments for 01 have been addressed (thanks!), 
and the changes since 05 seem reasonable - no new comments found.

> Hi, Joe and Ralph,
>
> I am the assigned Gen-ART reviewer for this draft. For background on 
> Gen-ART, please see the FAQ at 
> <http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.
>
> Summary - this draft is almost ready for publication as a Proposed 
> Standard. It is short, and clearly written.
>
> I have four observations - there may be DHCP conventions I don't know 
> about, but this is how things look to me.
>
> - The relationship between "Length" and "Prefix-Length" seems 
> underspecified. If what you are saying is
>
>   Length - the length of the entire attribute, in bytes. At least 4 (to 
> hold Type/Length/Reserved/Prefix-Length for a 0-bit prefix), and no larger 
> than 20 (to hold Type/Length/Reserved/Prefix-Length for a 128-bit prefix)
>
>  Prefix-Length - the length of the prefix being delegated, in bits. At 
> least 0 and no larger than 128 bits (identifying a single IPv6 address).
>
> I'm guessing, and if you are actually saying something else, I don't know 
> what it could be :-)
>
> - Does "Reserved - Always set to zero" ever get validated as zero by a 
> receiver?
>
> - I completely missed the three-line, two-row "table" at the end of 
> Section 3. If you could at least indent it, and maybe even draw ASCII 
> boxes around it, the specification would be much easier to grok.
>
> - It would also be nice to have a pointer to a reference for the 
> definition of "Framed-IPv6-Prefix" in Section 3, but that's extremely 
> minor.
>
> Please look at these comments along with any other Last Call comments you 
> may  receive.
>
> Thanks,
>
> Spencer Dawkins
>
>
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/gen-art
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art